SpriteLibrary
SpriteLibrary
SpriteLibrary
SpriteController Class
SpriteController Methods
AddSprite Method
AdjustPoint Method
AdjustRectangle Method
AllSprites Method
ChangeTickInterval Method
CountSpritesBasedOff Method
DestroyAllSprites Method
DestroySprite Method
DuplicateSprite Method
Invalidate Method
IsKeyPressed Method
KeysPressed Method
NameSprite Method
Pause Method
PlaceSpriteBehind Method
PlaceSpriteInFrontOf Method
RegisterKeyDownFunction Method
RegisterKeyUpFunction Method
ReplaceOriginalImage Method
ResetKeypressState Method
ReturnAdjustmentRatio Method
ReturnPictureBoxAdjustedHeight Method
ReturnPictureBoxAdjustedPoint Method
ReturnPictureBoxAdjustedWidth Method
ReturnPointAdjustedForImage Method
SoundIsFinished Method
SoundPlay Method
SpriteBackwards Method
SpriteForwards Method
SpriteFromName Method
SpritesAtImagePoint Method
SpritesAtPoint Method
SpritesBasedOff Method
SpritesBasedOffAnything Method
SpritesInImageRectangle Method
SpritesThatHaveBeenDrawn Method
SpriteToBack Method
SpriteToFront Method
UnPause Method

SpriteController ReturnAdjustmentRatio Method

Return an adjustment ratio. This is the image-size to picture-box ratio. It is used for calculating precise pixels or picture-box locations.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public SpriteAdjustmentRatio ReturnAdjustmentRatio()

#### Return Value

Type: SpriteAdjustmentRatio
A SpriteAdjustmentRatio containing the current ratio of picture-box pixels to image-box pixels
See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace